diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
new file mode 100644
index ca6b863..6d13cf1
*** a/doc/src/sgml/ddl.sgml
--- b/doc/src/sgml/ddl.sgml
*************** ANALYZE measurement;
*** 3037,3044 ****
      tables</firstterm>, which define the structure of the remote data. A
      foreign table can be used in queries just like a normal table, but a
      foreign table has no storage in the PostgreSQL server.  Whenever it is
!     used, PostgreSQL asks the foreign data wrapper to fetch the data from the
!     external source.
     </para>
  
     <para>
--- 3037,3051 ----
      tables</firstterm>, which define the structure of the remote data. A
      foreign table can be used in queries just like a normal table, but a
      foreign table has no storage in the PostgreSQL server.  Whenever it is
!     used, <productname>PostgreSQL</productname> asks the foreign data wrapper
!     to fetch the data from the external source.
!    </para>
! 
!    <para>
!     Accessing remote data usually requires authentication at the external
!     data source.  A <firstterm>user mapping</> for a foreign server and a
!     <productname>PostgreSQL</productname> role defines the credentials to
!     be used when the role accesses foreign tables belonging to that server.
     </para>
  
     <para>
diff --git a/doc/src/sgml/ref/create_user_mapping.sgml b/doc/src/sgml/ref/create_user_mapping.sgml
new file mode 100644
index c960628..caef991
*** a/doc/src/sgml/ref/create_user_mapping.sgml
--- b/doc/src/sgml/ref/create_user_mapping.sgml
*************** CREATE USER MAPPING FOR { <replaceable c
*** 33,41 ****
    <para>
     <command>CREATE USER MAPPING</command> defines a mapping of a user
     to a foreign server.  A user mapping typically encapsulates
!    connection information that a foreign-data wrapper uses together
!    with the information encapsulated by a foreign server to access an
!    external data resource.
    </para>
  
    <para>
--- 33,41 ----
    <para>
     <command>CREATE USER MAPPING</command> defines a mapping of a user
     to a foreign server.  A user mapping typically encapsulates
!    authentication information that a foreign-data wrapper uses together
!    with the information encapsulated by a foreign server when the user
!    tries to access an external data resource.
    </para>
  
    <para>
